Skip to main content
GET
/
accounting_new
/
accounts
/
{account_id}
/
balance
Get account balance by tag
curl --request GET \
  --url https://api.zenskar.com/accounting_new/accounts/{account_id}/balance \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
[
  {
    "currency": "<string>",
    "balance": 0,
    "credits": 0,
    "debits": 0
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

account_id
string<uuid> | null
required

Query Parameters

as_of
string<date> | null
id
string<uuid> | null
id__in
string | null
account_id__in
string | null
journal_entry_id
string<uuid> | null
journal_entry_id__in
string | null
currency
string | null
currency__in
string | null
customer_id
string<uuid> | null
customer_id__in
string | null
contract_id
string<uuid> | null
contract_id__in
string | null
invoice_id
string<uuid> | null
invoice_id__in
string | null
credit_note_id
string<uuid> | null
credit_note_id__in
string | null
tax_jurisdiction_id
string<uuid> | null
tax_jurisdiction_id__in
string | null
payment_id
string<uuid> | null
payment_id__in
string | null
refund_id
string<uuid> | null
refund_id__in
string | null
revenue_contract_id
string<uuid> | null
revenue_contract_id__in
string | null
revenue_contract_item_id
string<uuid> | null
revenue_contract_item_id__in
string | null
performance_obligation_id
string<uuid> | null
performance_obligation_id__in
string | null
product_id
string<uuid> | null
product_id__in
string | null
credits
integer | null
credits__neq
integer | null
credits__gt
integer | null
credits__gte
integer | null
credits__lt
integer | null
credits__lte
integer | null
debits
integer | null
debits__neq
integer | null
debits__gt
integer | null
debits__gte
integer | null
debits__lt
integer | null
debits__lte
integer | null
account__id
string<uuid> | null
account__id__in
string | null
account__name
string | null
account__name__ilike
string | null
account__description
string | null
account__account_category
enum<string> | null
Available options:
Assets,
Liabilities,
Equity,
Income,
Expenses
account__account_category__in
string | null
account__parent_path
string | null
account__parent_path__ilike
string | null
account__balance_normality
enum<string> | null
Available options:
credit,
debit
account__balance_normality__in
string | null
account__is_parent
boolean | null
journal_entry__id
string<uuid> | null
journal_entry__id__in
string | null
journal_entry__posted_at
string<date-time> | null
journal_entry__posted_at__in
string | null
journal_entry__posted_at__gt
string<date-time> | null
journal_entry__posted_at__gte
string<date-time> | null
journal_entry__posted_at__lt
string<date-time> | null
journal_entry__posted_at__lte
string<date-time> | null
journal_entry__description
string | null
journal_entry__description__ilike
string | null
journal_entry__event
string | null
journal_entry__event__in
string | null
journal_entry__status_type
enum<string> | null
Available options:
pending,
forecasted,
estimated,
posted
journal_entry__status_type__in
string | null
journal_entry__job_id
string<uuid> | null

Response

Successful Response

currency
string
required
balance
integer
default:0
credits
integer
default:0
debits
integer
default:0